/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ModelingInColor.DNC;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class MomentInterval {
    /**  */
    public void makeMomentInterval() {
    }

    public void addDetail() {
    }

    public void calcTotal() {
    }

    public void recalcTotal() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public void mi_generateNext() {
    }

    public void mi_assessWRTPrior() {
    }

    /**  */
    public void mi_assessWRTNext() {
    }

    public void mi_comparePlanVsActual() {
    }

    public static void listMIs() {
    }

    public static void assessAcrossMIs() {
    }

    private int number;
    private int dateOrDateTimeOrInterval;
    private int priority;
    private int total;
    private int status;

    /** @supplierCardinality 1 */
    private IMakeMomentInterval lnkUnnamed1;

    /**
     *@shapeType AggregationLink
     *    @associates <b>MomentIntervalDetail</b>
     * @clientCardinality 1
     * @supplierCardinality 1..*
     */
    private Vector lnkUnnamed;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private NextMI lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientRole plan
     * @supplierRole actual
     * @clientCardinality 0..1
     */
    private MomentInterval lnkUnnamed3;
}


